package com.ruoyi.reportManagement.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

public class TWareHouseItemsExcel {

    /** 提单号 */
    @Excel(name = "序号")
    private String fId;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "客户名称")
    private String fCorpid;

    /** 业务日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBsdate;

    /** 提单号 */
    @Excel(name = "提单号")
    private String fMblno;

    /** 业务类型(存汉字的，用来选择 产地 规格 品牌) */
    @Excel(name = "货物属性")
    private String fBusinessType;

    /** 唛头 */
    @Excel(name = "属性详情")
    private String fMarks;

    /** 货名 */
    @Excel(name = "品名")
    private String fGoodsid;

    /** 仓库/库区/库位 */
    @Excel(name = "仓库")
    private String fWarehouseInformation;

    /**
     * 贸易方式(数据字典),对应t_trademodels
     */
    @Excel(name = "贸易方式")
    private String fTrademodeid;

    /**
     * 件数
     */
    @Excel(name = "件数")
    private Long fQty;


    /**
     * 毛重
     */
    @Excel(name = "毛重")
    private BigDecimal fGrossweight;

    /**
     * 净重
     */
    @Excel(name = "净重")
    private BigDecimal fNetweight;

    public String getfId() {
        return fId;
    }

    public void setfId(String fId) {
        this.fId = fId;
    }

    public String getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(String fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Date getfBsdate() {
        return fBsdate;
    }

    public void setfBsdate(Date fBsdate) {
        this.fBsdate = fBsdate;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfBusinessType() {
        return fBusinessType;
    }

    public void setfBusinessType(String fBusinessType) {
        this.fBusinessType = fBusinessType;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public String getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(String fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public String getfWarehouseInformation() {
        return fWarehouseInformation;
    }

    public void setfWarehouseInformation(String fWarehouseInformation) {
        this.fWarehouseInformation = fWarehouseInformation;
    }

    public String getfTrademodeid() {
        return fTrademodeid;
    }

    public void setfTrademodeid(String fTrademodeid) {
        this.fTrademodeid = fTrademodeid;
    }

    public Long getfQty() {
        return fQty;
    }

    public void setfQty(Long fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getfGrossweight() {
        return fGrossweight;
    }

    public void setfGrossweight(BigDecimal fGrossweight) {
        this.fGrossweight = fGrossweight;
    }

    public BigDecimal getfNetweight() {
        return fNetweight;
    }

    public void setfNetweight(BigDecimal fNetweight) {
        this.fNetweight = fNetweight;
    }
}
